/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.scriptcase.db.entity.LibraryBusComInfo;
import net.northking.cctp.scriptcase.db.entity.LibraryBusComTree;
import net.northking.cctp.scriptcase.dto.comLib.LibraryBusComTreeDetailDto;

import java.util.List;

/**
 * 业务组件库目录树
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 10:53:48  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface LibraryBusComTreeService extends BasicService<LibraryBusComTree>
{
    int updateChildNamePath(LibraryBusComTree updateChild, String namePathNew);

    List<LibraryBusComTreeDetailDto> findChildTreeList(LibraryBusComTree entity);

    void updateChildIdPath(LibraryBusComTree childUp, String idPath);

    List<String> getChildTreeIds(String treeId);

    List<String> getComTreePathByLib(LibraryBusComInfo comQuery, List<Integer> types);

    List<LibraryBusComTree>findComTreeListLike(LibraryBusComInfo comQueryBus, List<Object> keys);
}
